﻿/* Appli sur fond blanc par défaut */
body{background:white; color:black;padding: 5px;}

span {position: relative;}
.mode_sombre{background-color:black; color:white;stroke:white;}/* Changement de fond en cas de mode sombre */

h1 {
	font-size:14px;
	font-style:bold;
	color:#1a8eb0;
	}
h2{
		color:#1a8eb0;
		font-size:12px;
		margin-bottom:2px;
	}
h3 {
		color:#1a8eb0;
		font-size:10px;
		margin-top:2px;
		margin-bottom:-2px;
	}
p,li{
	font-size:8px;
	font-style:normal;
	color:grey;
	}
#reglages {
		display:flex;
		color:#1a8eb0;
		width:1200px;
		}
#reglages div{
	padding:0 8px;
}
#reglages .colonne{
	width:200px;
}

#reglages span{
	font-size:8px;
		float:left;
	}	
#reglages label{
	color:#1a8eb0;
	font-weight:bold;
}
#reglages input{
	color:#1a8eb0;
	font-size:20px;
	font-weight:bold;
}
.coulisse{
	width:150px;
	}
.etiquette{
	font-size:12px;
	position:relative;
	left:-10px;
	}
.etiquette label{
	display: inline-block;
    width: 70px;
    text-align: right;}
.etiquette input{
	width:100px;
	}
#ligne{
	width: 1800px;
	height:210px;
	}
.palette{
	float:right;
	margin-top:5px;
	}
#affiche_unites,#affiche_divisions{	
	position:relative;
	margin-top:10px;
	margin-right:-5px;
	float:right;
	}

/* en tête boite de dialogue*/
.ui-dialog-title{/* Titre */
	color:#1a8eb0;
}
.ui-icon-closethick {
	margin-top: -8px!important;
	margin-left: -8px!important;
}
.icone{
	background-size:100%;
	background-repeat:no-repeat;
	background-position: center; 
	background-color:transparent;
	width:20px;
	height:20px;
	position:relative;
	border:none;
	cursor:pointer;
}
.reglages{
	background-image:url("../icones/reglages.svg");
	position:absolute;
	top:0px;
	left:0px;
	margin:5px;
}
.sombre{
	background-image:url("../icones/mode_sombre.svg");
}
.infos{
	background-image:url("../icones/infos.svg");
}
/* Icone licence */
.ccbyncsa{
	background-image:url("../icones/cc-by-nc-sa-min.svg");
	background-size: 100%;
	background-repeat:no-repeat;
	background-position: center; 
	background-color:transparent;
	width:80px;
	height:15px;
	position:relative;
	border:none;
}
/* */
.auteur {
	text-align:center;
	font-size:10px;
	line-height:10px;
}
.site_web{
	font-size:10px;
	line-height:10px;
	margin-left:10px;
	display:inline-block;
	text-align:center;
	color:1a8eb0;
	}
.version{
	text-align:center;
	font-size:10px;
	margin:10px;}
.sources{
	text-align:left;
	font-size:8px;
}
/* Case à cocher */
/* Nouveau contenant */
.case_a_cocher {
  display: block;
  position: relative;
  cursor: pointer;
  font-size: 22px;
}

/* Masque la case à cocher par défaut */
.case_a_cocher input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

/* Case à cocher personnalisée */
.coche {
  position: relative;
	top:5px;
	margin-right:5px;
  height: 20px;
  width: 20px;
  background-color: #fff;
  border:solid 1px #1a8eb0;
  border-radius:5px;
}

/* Survol de la souris */
.case_a_cocher:hover input ~ .coche {
  background-color: #ccc;
}

/* Fond de la case cochée */
.case_a_cocher input:checked ~ .coche {
  background-color: white;
}

/* Nouvelle coche */
.coche:after {
  content: "";
  position: absolute;
  display: none;
}

/* Affiche la coche quand la case est cochée */
.case_a_cocher input:checked ~ .coche:after {
  display: block;
}

/* Style de la coche */
.case_a_cocher .coche:after {
  left: 7px;
  top: 2px;
  width: 5px;
  height: 10px;
  border: solid #1a8eb0;;
  border-width: 0 3px 3px 0;	
  transform: rotate(45deg);
}
